CrownPanel API Overview

CrownPanel's API allows you to manage your VPS programmatically - including actions like power control, hostname changes, snapshot management, and more.

You can use the API with:

  • PHP scripts
  • CLI tools like curl
  • Monitoring systems
  • Custom control panels or dashboards

Ideal for automation, integration into management panels, or performing bulk operations across multiple VPS instances.


📋 List All VPSes

Use this API to retrieve all available operating systems for the VMID (Virtual Machine ID).

🔐 Key(s) and variable(s) required for this call,

KeyVariableDescriptionRequired
API_KEYYOUR_API_KEYReplace YOUR_API_KEY with your actual API key provided in "Account Settings", under the API section✅ Yes
QUERYlist_operating_systemFixed value: must be "list_operating_system".✅ Yes
VMIDYOUR_VMIDReplace YOUR_VMID with your VPS VMID provided by "List All VPS" API Query✅ Yes

Example Responses

✅ If your API_KEY is valid, you would get output consisting of the information VPSes under your account.

Success Output

[{"operating_system_name":"CentOS Stream 9","operating_system_image":"centos9_streamx86_64.qcow2"},{"operating_system_name":"AlmaLinux 9 x86_64","operating_system_image":"almalinux_9_x86_64.qcow2"},{"operating_system_name":"Rocky Linux 9 x86_64","operating_system_image":"rockylinux_9_x86_64.qcow2"},{"operating_system_name":"CentOS Stream 10","operating_system_image":"centos10_streamx86_64.qcow2"},{"operating_system_name":"AlmaLinux 8 x86_64","operating_system_image":"almalinux_8_x86_64.qcow2"},{"operating_system_name":"Rocky Linux 8 x86_64","operating_system_image":"rockylinux_8_x86_64.qcow2"},{"operating_system_name":"AlmaLinux 10 x86_64","operating_system_image":"almalinux_10_x86_64.qcow2"},{"operating_system_name":"Rocky Linux 10 x86_64","operating_system_image":"rockylinux_10_x86_64.qcow2"},{"operating_system_name":"Debian 13 x86_64","operating_system_image":"debian13_x86_64.qcow2"},{"operating_system_name":"Debian 12 x86_64","operating_system_image":"debian12_x86_64.qcow2"},{"operating_system_name":"Debian 11 x86_64","operating_system_image":"debian11_x86_64.qcow2"},{"operating_system_name":"Ubuntu 24.04 x86_64","operating_system_image":"ubuntu_2404_amd64.qcow2"},{"operating_system_name":"Ubuntu 22.04 x86_64","operating_system_image":"ubuntu_2204_amd64.qcow2"},{"operating_system_name":"Ubuntu 25.10 x86_64","operating_system_image":"ubuntu_2510_amd64.qcow2"}]

❌ If your API_KEY is invalid, you would get the following output,

Error Output

{"query_status":"invalid","query_result":""}

CURL Example

curl -d "API_KEY=API-KEY-HERE&QUERY=list_operating_system&VMID=VMID" -X POST https://api.crownpanel.com

🌐 Other Language Examples

If you prefer to use another language or environment, here are examples for PHP, Python and Node.js:

PHP Example
<?php
$url = "https://api.crownpanel.com";

$post = [
'API_KEY' => 'YOUR_API_KEY',
'QUERY' => 'list_operating_system',
'VMID' => 'VPS-VMID-HERE',
];
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($post));
$response = curl_exec($ch);
var_export($response);
?>
Python Example

âš™ī¸ Install (only once): Required to install necessary libraries before running the code.

pip install requests

import requests

url = "https://api.crownpanel.com"
data = {
    "API_KEY": "YOUR_API_KEY",
    "QUERY": "list_operating_system",
    "VMID": 'VPS-VMID-HERE',
}

response = requests.post(url, data=data)
print(response.text)
Node.js Example

âš™ī¸ Install (only once): Required to install necessary libraries before running the code.

npm install axios
const axios = require('axios');

const data = new URLSearchParams({
  API_KEY: 'YOUR_API_KEY',
  QUERY: 'list_operating_system',
  VMID: 'VPS-VMID-HERE',
});

axios.post('https://api.crownpanel.com', data)
  .then(response => {
    console.log(response.data);
  })
  .catch(error => {
    console.error('Error:', error);
  });

Need help? Visit our Support Portal or reach out via our live chat.